---
search:
  tags:
    - account
    - PUT
seo:
  description: >-
    Updates an existing sick days record. Reference for the PUT
    /account/employee/sick-days/{id} endpoint in the Leadtime Public API API.
sidebar:
  badge: PUT
  label: Update sick days record
title: Update sick days record
type: openapi-operation
---
Updates an existing sick days record.

**What can be updated:**
- Start and end dates
- Comment/notes
- Attached medical certificate file IDs

**To update medical certificates:**
1. Upload new files via POST /api/public/workspace/upload
2. Get file IDs from responses
3. Include all file IDs (old and new) in `attachedFilesIds` array

**Note:** This endpoint is only available for employee accounts. The system validates that there are no overlapping events for the specified period.

<Operation source="api-reference" id="accountcontroller-updatesickness" />
